=begin
  gettext/erb.rb - Class-based container module for GetText 

  Copyright (C) 2005  Masao Mutoh

  You may redistribute it and/or modify it under the same
  license terms as Ruby.

  $Id: container.rb,v 1.3 2005/08/22 17:24:33 mutoh Exp $
=end

require 'gettext'

module GetText
  module Container
    include GetText

    alias :_bindtextdomain :bindtextdomain

    def bindtextdomain(domainname, path = nil, locale = nil, charset = nil)    
      @gettext_container_domainname = domainname
      _bindtextdomain(domainname, path, locale, charset)
    end

    def callersrc
      @gettext_container_domainname
    end

  end
end
